OpenAPI SpecificationJSON
API Reference

Dedicated Engine

A Dedicated Engine object holds specification and a current state of training setup for a Dedicated Engine.

Important Notes:

  • Talk with a Rossum representative about enabling this feature
  • You can create new Dedicated Engine objects, but no Dedicated Engine will be trained unless Dedicated Engines are part of your contract.

Dedicated engine

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

GET api / v1 / dedicated_engines

Retrieve all dedicated engine objects.

GET
/api/v1/dedicated_engines
curl -X GET "https://example.rossum.app/api/v1/dedicated_engines"
{
  "results": [
    {
      "id": 3000,
      "name": "Dedicated engine 1",
      "description": "AI engine trained to recognize data for the specific data capture requirement",
      "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
      "status": "draft",
      "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
      "queues": []
    }
  ],
  "pagination": {
    "next": null,
    "previous": null
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
results
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

pagination
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

POST api / v1 / dedicated_engines

Create a new dedicated engine object.

Talk with a Rossum representative about enabling this feature. You can create new Dedicated Engine objects. However, no Dedicated Engine will be trained unless Dedicated Engines are part of your agreement.

POST
/api/v1/dedicated_engines
curl -X POST "https://example.rossum.app/api/v1/dedicated_engines" \  -H "Content-Type: application/json" \  -d '{    "name": "Dedicated engine 1"  }'
{
  "id": 3000,
  "name": "Dedicated engine 1",
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
  "status": "draft",
  "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
  "queues": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the engine

description
string

Description of the engine

schema
string,null (url)

Related dedicated engine schema URL

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

GET api / v1 / dedicated_engines / {dedicatedEngineID}

Get a dedicated engine object.

GET
/api/v1/dedicated_engines/{dedicatedEngineID}
curl -X GET "https://example.rossum.app/api/v1/dedicated_engines/3000"
{
  "id": 3000,
  "name": "Dedicated engine 1",
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
  "status": "draft",
  "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
  "queues": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

PATCH api / v1 / dedicated_engines / {dedicatedEngineID}

Update part of a dedicated engine object.

If status is not draft, the whole engine and its schema become read-only.

PATCH
/api/v1/dedicated_engines/{dedicatedEngineID}
curl -X PATCH "https://example.rossum.app/api/v1/dedicated_engines/3000" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 3000,
  "name": "Dedicated engine 1",
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
  "status": "draft",
  "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
  "queues": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the engine

description
string

Description of the engine

schema
string,null (url)

Related dedicated engine schema URL

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

DELETE api / v1 / dedicated_engines / {dedicatedEngineID}

Delete dedicated engine object.

DELETE
/api/v1/dedicated_engines/{dedicatedEngineID}
curl -X DELETE "https://example.rossum.app/api/v1/dedicated_engines/3000"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

PUT api / v1 / dedicated_engines / {dedicatedEngineID}

Update dedicated engine object.

If status is not draft, the whole engine and its schema become read-only.

PUT
/api/v1/dedicated_engines/{dedicatedEngineID}
curl -X PUT "https://example.rossum.app/api/v1/dedicated_engines/3000" \  -H "Content-Type: application/json" \  -d '{    "name": "Dedicated engine 1"  }'
{
  "id": 3000,
  "name": "Dedicated engine 1",
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
  "status": "draft",
  "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
  "queues": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name*
string

Name of the engine

description
string

Description of the engine

schema
string,null (url)

Related dedicated engine schema URL

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

POST api / v1 / dedicated_engines / request

Request training of a new Dedicated Engine using a form (multipart/form-data).

Talk with a Rossum representative about enabling this feature. You can create new Dedicated Engine objects. However, no Dedicated Engine will be trained unless Dedicated Engines are part of your agreement.

POST
/api/v1/dedicated_engines/request
curl -X POST "https://example.rossum.app/api/v1/dedicated_engines/request" \  -F document_type="Custom invoice" \  -F document_language="en-US" \  -F volume="9"
{
  "id": 3000,
  "name": "Dedicated engine 1",
  "description": "AI engine trained to recognize data for the specific data capture requirement",
  "url": "https://example.rossum.app/api/v1/dedicated_engines/3000",
  "status": "draft",
  "schema": "https://example.rossum.app/api/v1/dedicated_engine_schemas/6000",
  "queues": []
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

multipart/form-data

Attribute
Type
Description
document_type*
string

Type of the document the engine should predict

document_language*
string

Language of the documents

volume*
integer

Estimated volume per year

sample_uploads
list[string (binary)]

Multiple sample files of the documents

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer (int64)

ID of the engine

name*
string

Name of the engine

description*
string

Description of the engine

url*
read-only
string (url)

URL of the engine

status*
read-only
"draft" | "schema_review" | "annotating_initial" | "annotating_review" | "annotating_training" | "training_started" | "training_finished" | "retraining" | "sample_review"

Current status of the engine. If status is not draft, the whole engine and its schema become read-only.

Default: "draft"
schema*
string,null (url)

Related dedicated engine schema URL

queues*
read-only
list[string (url)]

List of queues using this dedicated engine

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error